var exec = require('cordova/exec');

var Toaster = function() {};

Toaster.prototype.success = function (arg, success, error) {
    exec(success, error, 'Toaster', 'success', [arg]);
};

Toaster.prototype.error = function (arg, success, error) {
    exec(success, error, 'Toaster', 'error', [arg]);
};

Toaster.prototype.info = function (arg, success, error) {
    exec(success, error, 'Toaster', 'info', [arg]);
};

Toaster.prototype.warning = function (arg, success, error) {
    exec(success, error, 'Toaster', 'warning', [arg]);
};

var toaster = new Toaster();

module.exports = toaster;
